Ubuntu

“apt” 0.8.16~exp12ubuntu10.9 source package in The Precise Pangolin

Publishing history

0.8.16~exp12ubuntu10.9
SUPERSEDED: Precise pocket Updates in component main and section admin
  • Removed from disk on 2013-03-15.
  • Removal requested on 2013-03-15.
  • Superseded on 2013-03-14 by apt - 0.8.16~exp12ubuntu10.10
  • Published on 2013-03-13
0.8.16~exp12ubuntu10.9
DELETED: Precise pocket Proposed in component main and section admin
  • Removed from disk on 2013-03-15.
  • Removal requested on 2013-03-13.
  • Deleted on 2013-03-13 by Colin Watson

    moved to -updates

  • Published on 2013-03-04

Builds

Changelog

apt (0.8.16~exp12ubuntu10.9) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/depcache.cc:
    - prefer to install packages which have an already installed M-A:same
      sibling while choosing providers (LP: #1130419)

  [ Steve Langasek ]
  * Invoke /etc/kernel/postinst.d/apt-auto-removal directly on upgrade for
    bug #923876, so that an 'apt-get autoremove' run before any new kernel
    packages have been installed gives the expected behavior.

apt (0.8.16~exp12ubuntu10.8) precise; urgency=low

  * Backport kernel auto-removal/retention policy from raring (LP: #923876)
    - debian/apt.auto-removal.sh, debian/rules, debian/apt.dirs: Add new
      script to /etc/kernel/postinst.d/ that ensures we always retain the
      currently-running, being-installed, and newest-installed kernels.
    - debian/apt.conf.autoremove: don't include linux-restricted-modules*,
      linux-image*, and linux-ubuntu-modules* in the never-removed list.
 -- Steve Langasek <email address hidden>   Sat, 02 Mar 2013 20:22:43 +0000